Bug 806663 - [abrt] libreoffice-core-3.4.5.2-8.fc16: SdModule::GetSdOptions: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.4.5.2-8.fc16: SdModule::GetSdOptions: Process /usr/...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:075d02e2a600d4b7cf98f4d4b3f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-25 17:09 EDT by Gerhard
Modified: 2012-04-11 13:07 EDT (History)
6 users (show)

See Also:
Fixed In Version: libreoffice-3.4.5.2-10.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-10 23:53:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: dso_list (23.67 KB, text/plain)
2012-03-25 17:09 EDT, Gerhard
no flags Details
File: build_ids (8.61 KB, text/plain)
2012-03-25 17:09 EDT, Gerhard
no flags Details
File: maps (95.13 KB, text/plain)
2012-03-25 17:09 EDT, Gerhard
no flags Details
File: backtrace (47.51 KB, text/plain)
2012-03-25 17:09 EDT, Gerhard
no flags Details
File: backtrace (47.52 KB, text/plain)
2012-03-25 17:10 EDT, Gerhard
no flags Details

  None (edit)
Description Gerhard 2012-03-25 17:09:28 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --impress file:///tmp/Ein%20Platz%20genannt%20Erde%201546.pps --splash-pipe=7
comment:        Closed presentation and then I closed the email-tab in thunderbird with the before opened presentation.
crash_function: SdModule::GetSdOptions
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.2.10-3.fc16.x86_64
pid:            10492
pwd:            /home/gerhard
reason:         Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
time:           Son 25 Mär 2012 22:37:25 CEST
uid:            1000
username:       gerhard

backtrace:      Text file, 48652 bytes
build_ids:      Text file, 8815 bytes
dso_list:       Text file, 24241 bytes
maps:           Text file, 97418 bytes

environ:
:XDG_VTNR=2
:XSUNTRANSPORT=shmem
:ORBIT_SOCKETDIR=/tmp/orbit-gerhard
:XDG_SESSION_ID=7
:HOSTNAME=freelancer
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=10479
:GPG_AGENT_INFO=/tmp/keyring-huwKS1/gpg:0:1
:TERM=dumb
:SHELL=/bin/bash
:XDG_SESSION_COOKIE=b1c9ea14cd7a3251ef3dfc9600000003-1332529364.816593-1417338382
:HISTSIZE=1000
:XRE_PROFILE_NAME=
:OLDPWD=/usr/lib64/libreoffice/program
:GNOME_KEYRING_CONTROL=/tmp/keyring-huwKS1
:MOZILLA_FIVE_HOME=/usr/lib64/thunderbird
:IMSETTINGS_MODULE=none
:USER=gerhard
:XRE_PROFILE_LOCAL_PATH=
:LD_LIBRARY_PATH=/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/client:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/server:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/native_threads:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64:/usr/lib64/thunderbird:/usr/lib64/thunderbird/plugins:/usr/lib64/thunderbird
:XRE_START_OFFLINE=
:SSH_AUTH_SOCK=/tmp/keyring-huwKS1/ssh
:LIBPATH=/usr/lib64/thunderbird:/usr/lib64/thunderbird
:GNOME_DISABLE_CRASH_DIALOG=1
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/13034,unix/unix:/tmp/.ICE-unix/13034
:USERNAME=gerhard
:MOZ_APP_LAUNCHER=/usr/bin/thunderbird
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/libreoffice-impress.desktop
:DESKTOP_SESSION=gnome
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/gerhard/.local/bin:/home/gerhard/bin
:MAIL=/var/spool/mail/gerhard
:QT_IM_MODULE=xim
:PWD=/home/gerhard
:XMODIFIERS=@im=none
:LANG=de_AT.utf8
:GNOME_KEYRING_PID=13029
:GDM_LANG=de_AT.utf8
:XRE_PROFILE_PATH=
:XSUNSMESIZE=512
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SHLVL=1
:XDG_SEAT=seat0
:HOME=/home/gerhard
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SAL_ENABLE_FILE_LOCKING=1
:DYLD_LIBRARY_PATH=/usr/lib64/thunderbird:/usr/lib64/thunderbird
:LOGNAME=gerhard
:MOZ_LAUNCHED_CHILD=
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-l6hEuOEOpY,guid=796f1e12176edbcccb76c83b00001130
:NO_EM_RESTART=
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:SHLIB_PATH=/usr/lib64/thunderbird:/usr/lib64/thunderbird
:MOZ_CRASHREPORTER_RESTART_ARG_1=
:WINDOWPATH=2
:MOZ_CRASHREPORTER_RESTART_ARG_0=/usr/lib64/thunderbird/thunderbird
:XRE_BINARY_PATH=
:DISPLAY=:1.0
:XDG_RUNTIME_DIR=/run/user/gerhard
:'MOZ_CRASHREPORTER_DATA_DIRECTORY=/home/gerhard/.thunderbird/Crash Reports'
:XUL_APP_FILE=
:NO_AT_BRIDGE=1
:XAUTHORITY=/var/run/gdm/auth-for-gerhard-pFxEGN/database

var_log_messages:
:Mar 25 22:37:25 freelancer kernel: [26652.075169] soffice.bin[10492]: segfault at 78 ip 00007f4dedd0bec8 sp 00007fff2e7dc8f0 error 4 in libsdlx.so[7f4dedaa7000+5e5000]
:Mar 25 22:37:26 freelancer abrt[10541]: Saved core dump of pid 10492 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-03-25-22:37:25-10492 (157642752 bytes)
Comment 1 Gerhard 2012-03-25 17:09:33 EDT
Created attachment 572577 [details]
File: dso_list
Comment 2 Gerhard 2012-03-25 17:09:35 EDT
Created attachment 572578 [details]
File: build_ids
Comment 3 Gerhard 2012-03-25 17:09:38 EDT
Created attachment 572579 [details]
File: maps
Comment 4 Gerhard 2012-03-25 17:09:40 EDT
Created attachment 572580 [details]
File: backtrace
Comment 5 Gerhard 2012-03-25 17:10:17 EDT
Closed presentation and then I closed the email-tab in thunderbird with the before opened presentation.

backtrace_rating: 4
Package: libreoffice-core-3.4.5.2-8.fc16
OS Release: Fedora release 16 (Verne)
Comment 6 Gerhard 2012-03-25 17:10:21 EDT
Created attachment 572581 [details]
File: backtrace
Comment 7 Caolan McNamara 2012-03-26 08:52:50 EDT
did you run the presentation in full-screen mode, or just in edit mode ?

SdModule::GetSdOptions (this=0x0), so the SdModule must have been deleted while sd::SlideshowImpl::PostYieldListener was still active. We could probably bodge this to not crash under those circumstances, though it'd be nice to reproduce those circumstances
Comment 8 Caolan McNamara 2012-03-26 09:21:40 EDT
baid-aid will be in >= libreoffice-3.4.5.2-9.fc16
Comment 9 Gerhard 2012-03-26 09:25:24 EDT
I ran the presentation in full-screen mode on two screens. Left the presentation and on the right the thumbnails of all sheets.
Comment 10 Fedora Update System 2012-03-29 09:20:15 EDT
libreoffice-3.4.5.2-10.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libreoffice-3.4.5.2-10.fc16
Comment 11 Fedora Update System 2012-03-30 23:18:39 EDT
Package libreoffice-3.4.5.2-10.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.4.5.2-10.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5070/libreoffice-3.4.5.2-10.fc16
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2012-04-10 23:53:14 EDT
libreoffice-3.4.5.2-10.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Gerhard 2012-04-11 01:48:27 EDT
Sorry, I had overseen this before.
Problem can't be reproduced with 3.4.5.2-10.fc16.x86_64. Everythink is fine now.
Comment 14 Fedora Update System 2012-04-11 13:07:54 EDT
libreoffice-3.4.5.2-10.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.